Dependencies
Get Dependency by ID
Authorization<token>
User API key (Bearer scp_u_...). Create in Platform > API Keys.
In: header
Path Parameters
id*string
Dependency ID
Format
uuidResponse Body
application/json
application/json
curl -X GET "https://loading/api/v1/dependencies/497f6eca-6276-4993-bfeb-53cbbbba6f08"{
"meta": {
"api_version": 1,
"server_version": "0.16.0"
},
"success": true,
"data": {
"color": "Blue",
"created_at": "2026-01-15T10:30:00Z",
"dependency_type": "RequestPath",
"description": "HTTP/HTTPS services dependency",
"edge_style": "Bezier",
"id": "550e8400-e29b-41d4-a716-446655440008",
"members": {
"service_ids": [],
"type": "Services"
},
"name": "Web Services",
"network_id": "550e8400-e29b-41d4-a716-446655440002",
"source": {
"type": "Manual"
},
"tags": [],
"updated_at": "2026-01-15T10:30:00Z"
},
"error": "string"
}{
"meta": {
"api_version": 1,
"server_version": "0.16.0"
},
"success": true,
"code": "string",
"error": "string",
"params": {
"property1": null,
"property2": null
}
}